Bug 1280193 - ovirt-optimizer-jetty tomcat-jsp-2.2-api dependency not available on fc23
ovirt-optimizer-jetty tomcat-jsp-2.2-api dependency not available on fc23
Status: CLOSED CURRENTRELEASE
Product: ovirt-optimizer
Classification: oVirt
Component: Packaging.rpm (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity high (vote)
: ovirt-3.6.2
: 0.9.1-2
Assigned To: Martin Sivák
Shira Maximov
http://jenkins.ovirt.org/job/repos_ma...
: Automation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 02:33 EST by Sandro Bonazzola
Modified: 2016-02-18 05:58 EST (History)
2 users (show)

See Also:
Fixed In Version: ovirt-optimizer-0.9.1-2
Doc Type: Bug Fix
Doc Text:
Cause: Fedora 23 updated Tomcat packages and the package name for tomcat-jsp-api changed. Consequence: Package dependency prevented ovirt-optimizer-jetty to install on Fedora 23. Fix: A conditional dependency was added to handle different package names in Fedora <= 22 and 23+. Result: Fixed dependencies.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 05:58:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
rule-engine: blocker+
mgoldboi: planning_ack+
msivak: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 48486 master MERGED Update the version of JSP API to 2.3 to be compatible with Fedora 23 2015-12-22 06:04 EST
oVirt gerrit 50972 v0.9.z MERGED Update the version of JSP API to 2.3 to be compatible with Fedora 23 2015-12-23 08:47 EST

  None (edit)
Description Sandro Bonazzola 2015-11-11 02:33:00 EST
Description of problem:

07:37:40 package: ovirt-optimizer-jetty-0.9-1.fc23.noarch from check-custom-fc23
07:37:40   unresolved deps: 
07:37:40      tomcat-jsp-2.2-api
Version-Release number of selected component (if applicable):


How reproducible:
100%
Comment 1 Shira Maximov 2016-01-04 11:12:31 EST
verified using this repo: https://copr.fedoraproject.org/coprs/msivak/ovirt-optimizer-for-ovirt-3.6/

verifcation steps: 
1. create a fedora 23 VM
2. download the repo
3. dnf install ovirt-optimizer-jetty

the installtion worked fine without dependency issues.

Note You need to log in before you can comment on or make changes to this bug.